<?php

/**
 * @file
 * Implementations of token module hooks for this module.
 */

/**
 * Implements hook_token_list().
 */
function cck_country_token_list($type = 'all') {
  if ($type == 'field' || $type == 'all') {
    $tokens = array();
    $tokens['cck_country']['name'] = t('Country name');
    $tokens['cck_country']['name-raw'] = t('Raw, country name');
    $tokens['cck_country']['code2'] = t('2-digit country code');
    $tokens['cck_country']['code3'] = t('3-digit country code');

    return $tokens;
  }
}

/**
 * Implements hook_token_values().
 */
function cck_country_token_values($type, $object = NULL, $options = array()) {
  if ($type == 'field') {
    $country = countries_api_get_country($object[0]['value']);
    $values = array();
    $values['name'] = check_plain($country['name']);
    $values['name-raw'] = $country['name'];
    $values['code2'] = $country['iso2'];
    $values['code3'] = $country['iso3'];

    return $values;
  }
}
